org.jfree.report.modules.misc.tablemodel

## Class TableModelInfo

- java.lang.Object
- - org.jfree.report.modules.misc.tablemodel.TableModelInfo

-     public final class TableModelInfo
      extends java.lang.Object

  A utility class that prints out information about a TableModel.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `printTableModel(javax.swing.table.TableModel mod)` Prints a table model to standard output.
    `static void` | `printTableModelContents(javax.swing.table.TableModel mod)` Prints a table model to standard output.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### printTableModel

          public static void printTableModel(javax.swing.table.TableModel mod)

      Prints a table model to standard output.
      Parameters:
        `mod` - the model.

    - #### printTableModelContents

          public static void printTableModelContents(javax.swing.table.TableModel mod)

      Prints a table model to standard output.
      Parameters:
        `mod` - the model.